#!/usr/bin/perl -T

#"clear-history-data-by-date.pl"
#Copyright (c) 2006 Sasa Dautovic - Sveucilisni Racunski Centar (SRCE) 
#
#Author:  
#		  Sasa Dautovic <Sasa.Dautovic@srce.hr>
#  
#Feel free to email me at Sasa.Dautovic@srce.hr for any questions, suggestions 
#regarding this software.  
# 
#Sveucilisni Racunski Centar (SRCE) 
#Ulica Josipa Marohnica BB
#10000 Zagreb
#Croatia
# 
#All rights reserved.


use DBI();
use Getopt::Long;
use Sys::Syslog;

# configuration file
$configFile="/etc/noc-mon-studom/config.pl";

openlog('noc-clear-history-by-date.pl', 'pid', LOG_SYSLOG);

# import variables from config file if one exists
if( -f $configFile ) {
	require ($configFile);
	$log = sprintf("Loaded config from %s", $configFile);
        syslog(LOG_INFO, $log);
} else { $log = sprintf("Unable to load config file %s", $configFile); syslog(LOG_INFO, $log); exit(1); }

$num_days = 7;

GetOptions("days:i"=>\$num_days);

my $data=DBI->connect("DBI:mysql:database=$database;host=$hostdb",$user,$pass);

my $delete_timestamp = $timestamp - (86400 * $num_days);

  $log = sprintf("Deleting history records older than %d days.", $num_days);
	syslog(LOG_INFO, $log);
	$sql = "DELETE FROM `InvDevIntHistory` WHERE UNIX_TIMESTAMP(`timestamp`) <= '".$delete_timestamp."'";
	$thD = $data->prepare($sql);
	$thD->execute();
	$thD->finish();

$th->finish;
$data->disconnect();

